<?php

namespace kernel\IGTabel\btn;

class DangerBtn
{
    protected string $btn = '';

    public function __construct(string $title, string $url)
    {
        $this->btn = "<a class='btn btn-danger' href='$url' style='margin: 3px; width: 150px;' >$title</a>";
    }

    public function fetch(): string
    {
        return $this->btn;
    }

    public static function create(string $title, string $url): DangerBtn
    {
        return new self($title, $url);
    }

}